%MATLAB Script-File pn_tf2_166.m
%Pol-Nullstellenplan fr ein PT2-bertragungselement
KP=1; D=0.707; w0=1;        %Parameter eines PT2-Elements
sp1=w0*(-D+j*sqrt(1-D^2));  %Polstellen der
sp2=w0*(-D-j*sqrt(1-D^2));  %bertragungsfunktion
nul=[];                     %keine Nullstellen
pol=[sp1; sp2];             %Spaltenvektor der Polstellen
K0=KP*w0^2;                 %konstanter Faktor

pnG=zpk(nul,pol,K0);		%Pol-Nullstellenmodell pnG
G=tf(pnG)					%bertragungsfunktion

pzmap(G)             		%Pol-Nullstellenplan
title('\it{s-Ebene}')
sgrid                       %Gitterlinien fr D und w0
axis([-1.6,1,-1,1])         %manuelle Achsenskalierung
axis('equal')               %gleicher Skalierungsfaktor
