%MATLAB Script-File danstieg_167.m
%Einheits-Anstiegsantwortfunktion einer Regelung
clf
hold on
axis([0 40 0 1]);				%Skalierung
text(31,0.87,'\it{w(kT)}')		%Bezeichnung der Kurve
text(31,0.55,'\it{x(kT)}')		%Bezeichnung der Kurve
text(31,0.17,'\it{y(kT)}')		%Bezeichnung der Kurve

T=1;                            %Abtastzeit
numG=0.04958; denG=[1 -1.607 0.6561];%Zhler-,Nennerpolyn. G(z)
G=tf(numG,denG,T);				%G(z)
dT=0:T:40;						%Vektor der Zeitwerte
w=dT/40;						%Anstiegsfunktion
plot(dT,w,'-')					%Anstiegsfunktion ausgeben
hold on							%Kurve nicht berschreiben
l=length(dT);					%Anzahl der Elemente von dT
dx=lsim(G,w);					%Anstiegsantwortfolge x(kT)
plot(dT,dx,'o',dT,dx,'-')		%Anstiegsantwort ausgeben
numGy=[0.042 -0.02547];         %Zhlerpolynom von Gy(z)
Gy=tf(numGy,denG,T);			%Gy(z)
lsim(Gy,w);						%Anstiegsantwortfolge y(kT)
title('\it{Anstiegsantworten der Regelung}') %Titel der Graphik
xlabel('\it{Zeit kT}')			%Beschriftung der Abszisse
ylabel('\it{w(kT), y(kT), x(kT)}') %Beschriftung der Ordinate
grid on							%kartesische Gitterlinien