%file-name strecken_mit_halteglied.m
clear all
KIS = 2.5; KS = 2.5; T1 = 1; T2 = 2; T3 = 3;
D = 0.5; om0 = 2; T = 0.5; TIS = 1 / KIS; TV = 5; Tt = 1.5;
disp ('Strecken mit Halteglied-------------------------------')
disp ('------------------------------------------------------')
disp ('Nr. 1: Strecke KS')
GS1 = tf(KS)
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 2: Strecke KS*EXP(-Tt s)')
GS1 = tf(KS, 'ioDelay',Tt)
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 3: Strecke KIS/s')
GS1 = tf(KIS,[1 0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 3: Strecke 1/(TIS*s)')
GS1 = tf(1,[TIS 0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 4: Strecke KIS^2/s^2')
GS1 = tf(KIS^2,[1 0 0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 4: Strecke 1/(TIS^2*s^2)')
GS1 = tf(1,[TIS^2 0 0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 5: Strecke KS/(1+T1*s)')
GS1 = tf(KS,[T1 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 6: Strecke KIS/((1+T1*s)*s')
GS1 = tf(KIS,[T1 1 0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 7: Strecke KS*EXP(-Tt s)/(1+T1*s)')
GS1 = tf(KS,[T1 1],'ioDelay',Tt)
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 8: Strecke KS*(1+TV*s)/(1+T1*s)')
GS1 = tf([KS*TV  KS],[T1 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 9: Strecke KS/((1+T1*s)*(1+T2*s)')
GS1 = tf([KS],[T1*T2 T1+T2 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 10: Strecke KIS/((1+T1*s)*(1+T2*s)*s)')
GS1 = tf(KIS,[T1*T2   T1+T2  1  0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 11: Strecke KS/(1+T1*s)^2')
GS1 = tf(KS,[T1*T1   2*T1  1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 12: Strecke KIS/((1+T1*s)^2*s)')
GS1 = tf(KIS,[T1*T1   2*T1  1  0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 13: Strecke KS*om0^2/(s^2+2*D*om0*s+om0^2)')
GS1 = tf(KS*om0^2,[1 2*D*om0 om0^2])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 14: Strecke KS*om0^2*s/(s^2+2*D*om0*s+om0^2)')
GS1 = tf([KS*om0^2 0],[1  2*D*om0  om0^2])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 15: Strecke KIS*om0^2/((s^2+2*D*om0*s+om0^2)*s)')
GS1 = tf(KIS*om0^2,[1  2*D*om0  om0^2  0])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 16: Strecke KS/((1+T1*s)*(1+T2*s)*(1+T3*s))')
GS1 = tf(KS,[T1*T2*T3   T1*T2+T1*T3+T2*T3  T1+T2+T3 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 17: Strecke KS/((1+T1*s)^2*(1+T2*s))')
GS1 = tf(KS,[T1^2*T2   T1^2+2*T1*T2  2*T1+T2 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
disp ('Nr. 18: Strecke mit KS/(1+T1*s)^3')
GS1 = tf(KS,[T1^3  3*T1^2  3*T1 1])
GSH1 = c2d(GS1, T, 'zoh')
disp ('------------------------------------------------------')
Strecken mit Halteglied-------------------------------
------------------------------------------------------
Nr. 1: Strecke KS
Transfer function:
2.5
Transfer function:
2.5
------------------------------------------------------
Nr. 2: Strecke KS*EXP(-Tt s)
Transfer function:
exp(-1.5*s) * (2.5)
Transfer function:
z^(-3) * (2.5)
------------------------------------------------------
Nr. 3: Strecke KIS/s
Transfer function:
2.5
---
 s
Transfer function:
1.25
-----
z - 1
------------------------------------------------------
Nr. 3: Strecke 1/(TIS*s)
Transfer function:
  1
-----
0.4 s
Transfer function:
1.25
-----
z - 1
------------------------------------------------------
Nr. 4: Strecke KIS^2/s^2
Transfer function:
6.25
----
s^2
Transfer function:
0.7813 z + 0.7813
-----------------
  z^2 - 2 z + 1
------------------------------------------------------
Nr. 4: Strecke 1/(TIS^2*s^2)
Transfer function:
   1
--------
0.16 s^2
Transfer function:
0.7812 z + 0.7813
-----------------
  z^2 - 2 z + 1
------------------------------------------------------
Nr. 5: Strecke KS/(1+T1*s)
Transfer function:
 2.5
-----
s + 1
Transfer function:
  0.9837
----------
z - 0.6065
------------------------------------------------------
Nr. 6: Strecke KIS/((1+T1*s)*s
Transfer function:
  2.5
-------
s^2 + s
Transfer function:
  0.2663 z + 0.2255
----------------------
z^2 - 1.607 z + 0.6065
------------------------------------------------------
Nr. 7: Strecke KS*EXP(-Tt s)/(1+T1*s)
Transfer function:
               2.5
exp(-1.5*s) * -----
              s + 1
Transfer function:
           0.9837
z^(-3) * ----------
         z - 0.6065
------------------------------------------------------
Nr. 8: Strecke KS*(1+TV*s)/(1+T1*s)
Transfer function:
12.5 s + 2.5
------------
   s + 1
Transfer function:
12.5 z - 11.52
--------------
  z - 0.6065
------------------------------------------------------
Nr. 9: Strecke KS/((1+T1*s)*(1+T2*s)
Transfer function:
      2.5
---------------
2 s^2 + 3 s + 1
Transfer function:
  0.1223 z + 0.09527
----------------------
z^2 - 1.385 z + 0.4724
------------------------------------------------------
Nr. 10: Strecke KIS/((1+T1*s)*(1+T2*s)*s)
Transfer function:
       2.5
-----------------
2 s^3 + 3 s^2 + s
Transfer function:
 0.02168 z^2 + 0.07221 z + 0.0149
----------------------------------
z^3 - 2.385 z^2 + 1.858 z - 0.4724
------------------------------------------------------
Nr. 11: Strecke KS/(1+T1*s)^2
Transfer function:
     2.5
-------------
s^2 + 2 s + 1
Transfer function:
  0.2255 z + 0.1615
----------------------
z^2 - 1.213 z + 0.3679
------------------------------------------------------
Nr. 12: Strecke KIS/((1+T1*s)^2*s)
Transfer function:
      2.5
---------------
s^3 + 2 s^2 + s
Transfer function:
 0.04082 z^2 + 0.1279 z + 0.02476
----------------------------------
z^3 - 2.213 z^2 + 1.581 z - 0.3679
------------------------------------------------------
Nr. 13: Strecke KS*om0^2/(s^2+2*D*om0*s+om0^2)
Transfer function:
     10
-------------
s^2 + 2 s + 4
Transfer function:
   0.8507 z + 0.6042
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. 14: Strecke KS*om0^2*s/(s^2+2*D*om0*s+om0^2)
Transfer function:
    10 s
-------------
s^2 + 2 s + 4
Transfer function:
    2.668 z - 2.668
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. 15: Strecke KIS*om0^2/((s^2+2*D*om0*s+om0^2)*s)
Transfer function:
       10
-----------------
s^3 + 2 s^2 + 4 s
Transfer function:
 0.1577 z^2 + 0.4747 z + 0.09507
----------------------------------
z^3 - 1.786 z^2 + 1.154 z - 0.3679
------------------------------------------------------
Nr. 16: Strecke KS/((1+T1*s)*(1+T2*s)*(1+T3*s))
Transfer function:
          2.5
------------------------
6 s^3 + 11 s^2 + 6 s + 1
Transfer function:
0.006925 z^2 + 0.0221 z + 0.004379
----------------------------------
z^3 - 2.232 z^2 + 1.645 z - 0.3998
------------------------------------------------------
Nr. 17: Strecke KS/((1+T1*s)^2*(1+T2*s))
Transfer function:
          2.5
-----------------------
2 s^3 + 5 s^2 + 4 s + 1
Transfer function:
0.01914 z^2 + 0.05624 z + 0.01024
----------------------------------
z^3 - 1.992 z^2 + 1.313 z - 0.2865
------------------------------------------------------
Nr. 18: Strecke mit KS/(1+T1*s)^3
Transfer function:
         2.5
---------------------
s^3 + 3 s^2 + 3 s + 1
Transfer function:
0.03597 z^2 + 0.09934 z + 0.01699
---------------------------------
z^3 - 1.82 z^2 + 1.104 z - 0.2231
------------------------------------------------------
